from distutils.core import setup, Extension
import numpy as np

# build with Accelerate
if 1:
    _dotblas = Extension('_dotblas', 
                         ['_dotblas.c', 'apple_sgemv_patch.c'],
                         include_dirs=[np.get_include()],
                         extra_link_args=["-framework", "Accelerate"])

# build with MKL
if 0:
    _dotblas = Extension('_dotblas', 
                         ['_dotblas.c', 'apple_sgemv_patch.c'],
                         include_dirs=[np.get_include()],
                         extra_compile_args=["-mkl"],
                         extra_link_args=["-mkl"])
# build with OpenBLAS
if 0:
    _dotblas = Extension('_dotblas', 
                         ['_dotblas.c', 'apple_sgemv_patch.c'],
                         include_dirs=[np.get_include(),"/opt/OpenBLAS/include"],
                         library_dirs=["/opt/OpenBLAS/lib"],
                         libraries=["openblas"])
                         
setup(name='_dotblas', ext_modules=[_dotblas])

